#ifndef CLONE_CONST_H
#define CLONE_CONST_H

#define CLONE_DATA_PATH "/usr/local/openrobots/share/modules/clone"
#define CLONE_DEFAULT_TXT_FILE "/usr/local/openrobots/data/environments/laas-gs/speech/txt/pausecafe.txt"
#define CLONE_DEFAULT_SYN_FILES "/usr/local/openrobots/data/environments/laas-gs/speech/txt/syn/pausecafe"

/* #define CLONE_DEFAULT_ART_FILE_NAME "art/hl_syn_espace.txt" */
/* #define CLONE_DEFAULT_WAV_FILE_NAME "wav/hl_syn_espace.syn" */

#define CLONE_SCREEN_RESOLUTION_HORI 800
#define CLONE_SCREEN_RESOLUTION_VERT 600
#define CLONE_SCREEN_WIDTH 0.244
#define CLONE_SCREEN_HIGH  0.183

/* if not pom : hard code screen pos
   BECARFUL : at least be coherente with pom/model/b21r.geom */
/* Screen frame: at the middle with z coming out of the screen ("normal")
   x on the right while facing the screen, y up */
#define CLONE_SCREEN_CENTER_IN_ROBOT_X -0.0860
#define CLONE_SCREEN_CENTER_IN_ROBOT_Y  0.0
#define CLONE_SCREEN_CENTER_IN_ROBOT_Z  1.155
#define CLONE_SCREEN_IN_ROBOT_ROT_Z  -1.5708 /* X -> -Y and Y -> X */
#define CLONE_SCREEN_IN_ROBOT_ROT_Y  0.0
#define CLONE_SCREEN_IN_ROBOT_ROT_X  1.19555 

/* Default pos of the clone in the sceen 
   (orgin at center of the screen, y upward, x on the right) */
/* Clone frame: in the middle of the teeth, Z coming out of the mouth, Y up */
#define CLONE_DEFAULT_POS_X   0  /* 200 */
#define CLONE_DEFAULT_POS_Y   0   /* 200 */
#define CLONE_DEFAULT_POS_SCALE 1


/* If OK every following values should be equal zero */
#define CLONE_DEFAULT_CORR_X 0
#define CLONE_DEFAULT_CORR_Y 0 /* -1.8 */   /* XXXX OUPSS, feeling bug */
#define CLONE_DEFAULT_CORR_Z 0 /* 0.2 */
#define CLONE_DEFAULT_CORR_RX 0
#define CLONE_DEFAULT_CORR_RY 0
#define CLONE_DEFAULT_CORR_RZ 0


#endif /* CLONE_CONST_H */

